<?php 
defined('ABSPATH') or die('Access denied!');

if ( $_POST ) {
	
	if ( isset($_POST['HIPAYME_MerchantID']) ) {
		update_option( 'HIPAYME_MerchantID', $_POST['HIPAYME_MerchantID'] );
	}
	
	if ( isset($_POST['HIPAYME_IsOK']) ) {
		update_option( 'HIPAYME_IsOK', $_POST['HIPAYME_IsOK'] );
	}
  
	if ( isset($_POST['HIPAYME_IsError']) ) {
		update_option( 'HIPAYME_IsError', $_POST['HIPAYME_IsError'] );
	}
	
  if ( isset($_POST['HIPAYME_Unit']) ) {
		update_option( 'HIPAYME_Unit', $_POST['HIPAYME_Unit'] );
	}
  
  if ( isset($_POST['HIPAYME_UseCustomStyle']) ) {
		update_option( 'HIPAYME_UseCustomStyle', 'true' );
    
    if ( isset($_POST['HIPAYME_CustomStyle']) )
    {
      update_option( 'HIPAYME_CustomStyle', strip_tags($_POST['HIPAYME_CustomStyle']) );
    }
    
	}
  else
  {
    update_option( 'HIPAYME_UseCustomStyle', 'false' );
  }
  
	echo '<div class="updated" id="message"><p><strong>تنظیمات ذخیره شد</strong>.</p></div>';
	
}
?>
<h2 id="add-new-user">تنظیمات افزونه حمایت مالی - Hipayme</h2>
<h2 id="add-new-user">جمع تمام پرداخت ها : <?php echo get_option("HIPAYME_TotalAmount"); ?>  تومان</h2>
<form method="post">
  <table class="form-table">
    <tbody>
      <tr class="user-first-name-wrap">
        <th><label for="HIPAYME_MerchantID">کد دروازه پرداخت</label></th>
        <td>
          <input type="text" class="regular-text" dir="ltr" value="<?php echo get_option( 'HIPAYME_MerchantID'); ?>" id="HIPAYME_MerchantID" name="HIPAYME_MerchantID">
          <p class="description indicator-hint">XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX</p>
        </td>
      </tr>
      <tr>
        <th><label for="HIPAYME_IsOK">پرداخت صحیح</label></th>
        <td><input type="text" class="regular-text" value="<?php echo get_option( 'HIPAYME_IsOK'); ?>" id="HIPAYME_IsOK" name="HIPAYME_IsOK"></td>
      </tr>
      <tr>
        <th><label for="HIPAYME_IsError">خطا در پرداخت</label></th>
        <td><input type="text" class="regular-text" value="<?php echo get_option( 'HIPAYME_IsError'); ?>" id="HIPAYME_IsError" name="HIPAYME_IsError"></td>
      </tr>
      
      <tr class="user-display-name-wrap">
        <th><label for="HIPAYME_Unit">واحد پول</label></th>
        <td>
          <?php $HIPAYME_Unit = get_option( 'HIPAYME_Unit'); ?>
          <select id="HIPAYME_Unit" name="HIPAYME_Unit">
            <option <?php if($HIPAYME_Unit == 'تومان' ) echo 'selected="selected"' ?>>تومان</option>
            <option <?php if($HIPAYME_Unit == 'ریال' ) echo 'selected="selected"' ?>>ریال</option>
          </select>
        </td>
      </tr>
      
      <tr class="user-display-name-wrap">
        <th>استفاده از استایل سفارشی</th>
        <td>
          <?php $HIPAYME_UseCustomStyle = get_option('HIPAYME_UseCustomStyle') == 'true' ? 'checked="checked"' : ''; ?>
          <input type="checkbox" name="HIPAYME_UseCustomStyle" id="HIPAYME_UseCustomStyle" value="true" <?php echo $HIPAYME_UseCustomStyle ?> /><label for="HIPAYME_UseCustomStyle">استفاده از استایل سفارشی برای فرم</label><br>
        </td>
      </tr>
      
      
      <tr class="user-display-name-wrap" id="HIPAYME_CustomStyleBox" <?php if(get_option('HIPAYME_UseCustomStyle') != 'true') echo 'style="display:none"'; ?>>
        <th>استایل سفارشی</th>
        <td>
          <textarea style="width: 90%;min-height: 400px;direction:ltr;" name="HIPAYME_CustomStyle" id="HIPAYME_CustomStyle"><?php echo get_option('HIPAYME_CustomStyle') ?></textarea><br>
        </td>
      </tr>
      
    </tbody>
  </table>
  <p class="submit"><input type="submit" value="به روز رسانی تنظیمات" class="button button-primary" id="submit" name="submit"></p>
</form>

<script>
  if(typeof jQuery == 'function')
  {
    jQuery("#HIPAYME_UseCustomStyle").change(function(){
      if(jQuery("#HIPAYME_UseCustomStyle").prop('checked') == true)
        jQuery("#HIPAYME_CustomStyleBox").show(500);
      else
        jQuery("#HIPAYME_CustomStyleBox").hide(500);
    });
  }
</script>

